# Method: projects.locations.registrations.list

- [HTTP request](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/list#body.request_body)
- [Response body](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/list#body.ListRegistrationsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/list#try-it)

Lists the `Registration` resources in a project.

### HTTP request

`GET https://domains.googleapis.com/v1/{parent=projects/*/locations/*}/registrations`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The project and location from which to list `Registration`s, specified in the format `projects/*/locations/*`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `domains.registrations.list` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Maximum number of results to return. |
| `pageToken` | `string` When set to the `nextPageToken` from a prior response, provides the next page of results. |
| `filter` | `string` Filter expression to restrict the `Registration`s returned. The expression must specify the field name, a comparison operator, and the value that you want to use for filtering. The value must be a string, a number, a boolean, or an enum value. The comparison operator should be one of =, !=, \>, \<, \>=, \<=, or : for prefix or wildcard matches. For example, to filter to a specific domain name, use an expression like `domainName="example.com"`. You can also check for the existence of a field; for example, to find domains using custom DNS settings, use an expression like `dnsSettings.customDns:*`. You can also create compound filters by combining expressions with the `AND` and `OR` operators. For example, to find domains that are suspended or have specific issues flagged, use an expression like `(state=SUSPENDED) OR (issue:*)`. |

### Request body

The request body must be empty.

### Response body

Response for the `registrations.list` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "registrations": [ { object (`https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations#Registration`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `registrations[]` | ``object (`https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations#Registration`)`` A list of `Registration`s. |
| `nextPageToken` | `string` When present, there are more results to retrieve. Set `pageToken` to this value on a subsequent call to get the next page of results. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).